# CUTLASS: cutlass::platform::integral_constant< value_t, V > Struct Template Reference

cutlass::platform::integral_constant< value_t, V > Struct Template Reference

std::integral_constant

`#include <platform.h>`

Inheritance diagram for cutlass::platform::integral_constant< value_t, V >:
[legend]
Collaboration diagram for cutlass::platform::integral_constant< value_t, V >:
[legend]

## Public Types

typedef value_t | value_type
typedef integral_constant< value_t, V > | type

## Public Member Functions

CUTLASS_HOST_DEVICE | operator value_type () const
CUTLASS_HOST_DEVICE const value_type | operator() () const

## Static Public Attributes

static const value_t | value = V

## Member Typedef Documentation

template<typename value_t, value_t V>

typedef integral_constant<value_t, V> cutlass::platform::integral_constant< value_t, V >::type

template<typename value_t, value_t V>

typedef value_t cutlass::platform::integral_constant< value_t, V >::value_type

## Member Function Documentation

template<typename value_t, value_t V>

CUTLASS_HOST_DEVICE cutlass::platform::integral_constant< value_t, V >::operator value_type | ( |  | ) | const

inline

template<typename value_t, value_t V>

CUTLASS_HOST_DEVICE const value_type cutlass::platform::integral_constant< value_t, V >::operator() | ( |  | ) | const

inline

## Member Data Documentation

template<typename value_t, value_t V>

const value_t cutlass::platform::integral_constant< value_t, V >::value = V

static

The documentation for this struct was generated from the following file:

- platform.h